19 votos

nodo-gyp acto de error de generación de 64 bits de windows

OK. Aquí está lo que he hecho hasta ahora en mi x64 OS:

  • Instalado Python (v2.7) y se añade a la ruta de acceso del sistema (C:\Python27)
  • Instalado MS VS C++ 2010 Express Versión (yo ya tenía VS 2012, pero sin el componente de C++)
  • Instalado el compilador de actualización para Windows SDK 7.1
  • Ejecutado con éxito nodo-gyp acto configurar (desde mi directorio de complementos bajo nodejs\node_modules, donde la unión.gyp acto se encuentra)

  • corrió nodo-gyp acto de construir (como administrador)** Esto es lo que se estrelló, dejando a mí con:

este error:

C:\Program Files\nodejs\node_modules\msnodesql>node-gyp build
gyp info it worked if it ends with ok
gyp info using node-gyp@0.12.2
gyp info using node@0.10.25 | win32 | x64
gyp info spawn C:\Windows\Microsoft.NET\Framework\v4.0.30319\msbuild.exe
gyp info spawn args [ 'build/binding.sln',
gyp info spawn args   '/clp:Verbosity=minimal',
gyp info spawn args   '/nologo',
gyp info spawn args   '/p:Configuration=Release;Platform=x64' ]
Building the projects in this solution one at a time. To enable parallel build, please add the   "/m" switch.

ENLACE : fatal error LNK1181: no se puede abrir el archivo de entrada 'kernel32.lib' [C:\Program Files\nodejs\node_modules\msnodesql\build\sqlserver.vcxproj]

gyp ERR! build error
gyp ERR! stack Error: `C:\Windows\Microsoft.NET\Framework\v4.0.30319\msbuild.exe` failed with exit code: 1
gyp ERR! stack     at ChildProcess.onExit (C:\Users\RNelson\AppData\Roaming\npm\node_modules\node-gyp\lib\build.js:267:23)
gyp ERR! stack     at ChildProcess.EventEmitter.emit (events.js:98:17)
gyp ERR! stack     at Process.ChildProcess._handle.onexit (child_process.js:797:12)
gyp ERR! System Windows_NT 6.1.7601
gyp ERR! command "node" "C:\\Users\\RNelson\\AppData\\Roaming\\npm\\node_modules\\node-      gyp\\bin\\node-gyp.js" "build"
gyp ERR! cwd C:\Program Files\nodejs\node_modules\msnodesql
gyp ERR! node -v v0.10.25
gyp ERR! node-gyp -v v0.12.2
gyp ERR! not ok

Alguna idea de lo que está pasando? Gracias de antemano! Simplemente tratando de usar mi nodo-MS sqlserver controlador para Node.js

19voto

Kyle Puntos 1224

He tenido un problema similar. He encontrado que este cambio me ayudó a

--msvs_version=2012

así, por ejemplo,

npm install --msvs_version=2012 <package>

Iteramos.com

Iteramos es una comunidad de desarrolladores que busca expandir el conocimiento de la programación mas allá del inglés.
Tenemos una gran cantidad de contenido, y también puedes hacer tus propias preguntas o resolver las de los demás.

Powered by:

X